Bug 10851 - lib/uid_wrapper won't compile on Solaris platform
lib/uid_wrapper won't compile on Solaris platform
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All Solaris
: P5 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-03 15:30 UTC by YOUZHONG YANG
Modified: 2014-11-05 23:48 UTC (History)
4 users (show)

See Also:


Attachments
git-am fix for master. (1.20 KB, patch)
2014-10-04 00:23 UTC, Jeremy Allison
asn: review+
Details
v4-2-test patch (1.36 KB, patch)
2014-10-22 05:43 UTC, Andreas Schneider
jra: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description YOUZHONG YANG 2014-10-03 15:30:34 UTC
It works for us after applying the following patch:

diff --git a/lib/uid_wrapper/wscript b/lib/uid_wrapper/wscript
index 3e73e83..ea7daac 100644
--- a/lib/uid_wrapper/wscript
+++ b/lib/uid_wrapper/wscript
@@ -9,6 +9,14 @@ def configure(conf):
         conf.DEFINE('USING_SYSTEM_UID_WRAPPER', 1)
         libuid_wrapper_so_path = 'libuid_wrapper.so'
     else:
+        # Prototype checks
+        conf.CHECK_C_PROTOTYPE('setgroups',
+                               'int setgroups(int ngroups, const gid_t *grouplist)',
+                               define='HAVE_SETGROUPS_INT', headers='unistd.h sys/types.h')
+        conf.CHECK_C_PROTOTYPE('syscall',
+                               'int syscall(int number, ...)',
+                               define='HAVE_SYSCALL_INT', headers='unistd.h sys/syscall.h')
+
         # check HAVE_GCC_THREAD_LOCAL_STORAGE
         conf.CHECK_CODE('''
             __thread int tls;
Comment 1 Jeremy Allison 2014-10-04 00:23:24 UTC
Created attachment 10326 [details]
git-am fix for master.
Comment 2 Jeremy Allison 2014-10-07 00:06:59 UTC
Fix has gone into master, will be available in 4.2.x (this bug doesn't apply to 4.1.x or earlier).

Jeremy.
Comment 3 Jeremy Allison 2014-10-07 00:09:06 UTC
Bah - misread patch that went in (it was the other solaris one :-).

Sorry, this bug is still active in master (waiting for asn review).

Jeremy.
Comment 4 Andreas Schneider 2014-10-07 09:59:54 UTC
I've pushed that fix already to master ...
Comment 5 Andreas Schneider 2014-10-22 05:43:02 UTC
Created attachment 10364 [details]
v4-2-test patch
Comment 6 Jeremy Allison 2014-10-24 00:22:40 UTC
Comment on attachment 10364 [details]
v4-2-test patch

LGTM.
Comment 7 Jeremy Allison 2014-10-24 00:23:03 UTC
Re-assigning to Karolin for inclusion in 4.2.0.
Comment 8 Karolin Seeger 2014-10-26 20:34:07 UTC
Pushed to autobuild-v4-2-test.
Comment 9 Karolin Seeger 2014-10-29 19:53:21 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!